| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiConfig.ControlFlow.ControlFlowBool Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.ControlFlowBool:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.ControlFlowBool:
[legend]

## Public Member Functions
def | __init__ (self, value)
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| value

## Detailed Description

Definition at line 65 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.ControlFlowBool.__init__ | ( |  | self,
|  |  | value
| ) |  |

Definition at line 66 of file ControlFlow.py.

66 def __init__(self, value):
67 self.value = value
68
GaudiConfig.ControlFlow.ControlFlowBool.value
value
Definition: ControlFlow.py:67
GaudiConfig.ControlFlow.ControlFlowBool.__init__
def __init__(self, value)
Definition: ControlFlow.py:66

## Member Function Documentation

def GaudiConfig.ControlFlow.ControlFlowBool.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 69 of file ControlFlow.py.

69 def __and__(self, rhs):
70 return rhs if self.value else self
71
GaudiConfig.ControlFlow.ControlFlowBool.__and__
def __and__(self, rhs)
Definition: ControlFlow.py:69
GaudiConfig.ControlFlow.ControlFlowBool.value
value
Definition: ControlFlow.py:67

def GaudiConfig.ControlFlow.ControlFlowBool.__invert__ | ( |  | self | ) |

Definition at line 75 of file ControlFlow.py.

75 def __invert__(self):
76 return CFFalse if self.value else CFTrue
77
GaudiConfig.ControlFlow.ControlFlowBool.value
value
Definition: ControlFlow.py:67
GaudiConfig.ControlFlow.ControlFlowBool.__invert__
def __invert__(self)
Definition: ControlFlow.py:75

def GaudiConfig.ControlFlow.ControlFlowBool.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 72 of file ControlFlow.py.

72 def __or__(self, rhs):
73 return self if self.value else rhs
74
GaudiConfig.ControlFlow.ControlFlowBool.value
value
Definition: ControlFlow.py:67
GaudiConfig.ControlFlow.ControlFlowBool.__or__
def __or__(self, rhs)
Definition: ControlFlow.py:72

def GaudiConfig.ControlFlow.ControlFlowBool.__repr__ | ( |  | self | ) |

Definition at line 78 of file ControlFlow.py.

78 def __repr__(self):
79 return 'CFTrue' if self.value else 'CFFalse'
80
81
GaudiConfig.ControlFlow.ControlFlowBool.__repr__
def __repr__(self)
Definition: ControlFlow.py:78
GaudiConfig.ControlFlow.ControlFlowBool.value
value
Definition: ControlFlow.py:67

## Member Data Documentation

GaudiConfig.ControlFlow.ControlFlowBool.value

Definition at line 67 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py